Subject: RFC 1434 and IBM 6611 Differences

From: "R. C. (Roy) Dixon" <[email-masked]>
Date: Tue, 21 Sep 93 09:25:47 EDT

Reference:  Note from Gilbert Moineau (Eicon Technology)

Gilbert,

It is our goal to have RFC 1434 revised so that interoperability with the
IBM 6611 is possible for any product that complies with the standard.
But we are doing this in concert with the proposed enhancements being
considered by the SIG.  As a consequence, we have not revised the RFC.
The RFC was written after the product was designed, and before the final
code was shipped.  As a result there do exist some differences, due to
misinterpretation of the design by the authors of the RFC and due to
changes added to the design after the publication of the RFC.  Any
differences must be reflected in the revised RFC.

As Steve Klein recently reported, there are three SSP message that are
not formally documented in RFC 1434.  Only one of these, Halt_DL_NoAck,
is currently used by the IBM 6611 in support of SNA and NetBIOS.  The
other two, Test_Circuit_Req and Test_Circuit_Rsp, are only used by the
APPN implementation in the IBM 6611.  In addition to these SSP messages,
we are currently assembling a list of the other additions and changes to
RFC 1434 that we believe are required to achieve interoperability with
the current implementation of IBM 6611.  Once completed, we will make
this list available upon request.

A flow control mechanism is included in the code shipped with the IBM
6611, but this function has not been activated in the product.  As such,
we do not send any SSP messages for circuit-level flow control.  Through
our participation in the flow control siglet, we are participating in
developing a new flow control mechanism.  We plan to implement the new
mechanism instead of using the old mechanism.  If we activated the old
mechanism, we would be placed in the undesirable position of supporting
two different mechanisms.

Based upon our field experiences with the IBM 6611, we are also making
submissions for possible changes to the appropriate siglet.  For example,
there are some changes we are investigating relative to handling NetBIOS
(I believe Steve Klein alluded to these in a recent note).  So we are
not especially interested in RFC 1434 being the standard.  By producing
a revised RFC through the operation of the SIG, we are hopeful that this
will minimize the confusion about multiple versions of the data link
switching standard.

Regards, Roy
----------------------------- Referenced Note ---------------------------
From: Gilbert Moineau <[email-masked]>
To: "R. C. (Roy) Dixon" <[email-masked]>
Cc: aiw-sig-dlsw-connect <[email-masked]>
Subject: RE: RFC 1434 and IBM 6611 Differences
Date: Fri, 17 Sep 93 08:58:00 PDT
Encoding: 30 TEXT

Roy,

You wrote:

>>At the last SIG meeting, it was decided that RFC 1434 was to be the base
>>for future discussions, not the IBM 6611 implementation.  Now I was not
>>able to attend the meeting, but I have been told that this was the ground
>>rule that was adopted.  In fact, it is my understanding that we were
>>specifically directed by the SIG members not to do provide an update to
>>RFC 1434.  This means that the IBM 6611 is just another implementation
>>that needs to comply with the revised RFC specification.

That's right, we said the base should be the RFC1434, but we thought
supporting the RFC1434 would be enough to get the interoperability with the
6611. If someone claims compliance to RFC1434, the customers will expect
interoperability with the 6611. I think any missing information in the rfc,
if it is mandatory to the interoperability with the 6611, should be provided
to the SIG. For example, the 6611 has a flow control mechanism on a per
circuit base, not described in the rfc.  If IBM is not willing to do it,
then they should publically announce that supporting the rfc1434 is not
enough to get interoperability with the 6611. We must avoid to confuse the
customers with too many "standards" flavours.

                                        regards,

                                        Gilbert Moineau
                                        Eicon Technology

-------------------------------------------------------------------------